## zathura-djvu 0.2.4

=== debian/changelog ===
zathura-djvu (0.2.4-9) unstable; urgency=medium

  * Split zathura-djvu from zathura-extras.
    While 3.0 (quilt) multi tarball packages are nice, they do not integrate
    well with git-buildpackage.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 21 Dec 2015 20:46:22 +0100

zathura-extras (0.2-8) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 26 Apr 2015 19:14:00 +0200

zathura-extras (0.2-7) experimental; urgency=medium

  * New upstream release.
    - zathura-cb 0.1.4.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 10 Nov 2014 00:35:13 +0100

zathura-extras (0.2-6) unstable; urgency=medium

  * New upstream release.
    - zathura-cb 0.1.3.
    - zathura-djvu 0.2.4.
  * debian/control: Bump Standards-Version to 3.9.6.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 17 Oct 2014 12:30:49 +0200

zathura-extras (0.2-5) unstable; urgency=low

  * New upstream release.
    - zathura-cb 0.1.2.
  * debian/control:
    - Bump Standards-Version to 3.9.5.
    - Bump zathura-dev B-D to >= 0.2.5-1~ to ensure that zathura-extras is
      built against the GTK+ 3 version of zathura.
    - Remove unnecessary dpkg-dev B-D.
  * debian/patches/handle-read_data_block-zero-size.patch: removed, no longer
    needed.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 09 Nov 2013 21:11:04 +0100

zathura-extras (0.2-4) unstable; urgency=low

  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 15 Jun 2013 13:07:23 +0200

zathura-extras (0.2-3) experimental; urgency=low

  * New upstream release.
    - zathura-djvu 0.2.3.
    - zathura-ps 0.2.2.
  * Add zathura-cb 0.1.1:
    - debian/control:
      + Add new zathura-cb package.
      + Add Build-Depends on libarchive-dev.
    - debian/rules: Build zathura-cb.
    - debian/copyright: Add copyright information for zathura-cb.
    - debian/patches/handle-read_data_block-zero-size.patch: Correctly handle
      archive_read_data_block returning a size of zero.
  * debian/zathura-{cb,djvu,ps}.install: Install desktop files.
  * debian/zathura-{cb,djvu,ps}.lintian-overrides: Override
    desktop-command-not-in-package. The plugins depend on zathura so the
    command is available.
  * debian/control: Remove Jakub Wilk from Uploaders. Thanks for your work on
    zathura, Jakub.
  * debian/rules: Replace similar copies of code by pattern matching rules.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 16 May 2013 20:45:52 +0200

zathura-extras (0.2-2) experimental; urgency=low

  * New upstream release.
    - zathura-djvu 0.2.2.
    - zathura-ps 0.2.1.
  * debian/control:
    - Update my mail address.
    - Remove DM-Upload-Allowed.
    - Fix errors in both zathura-djvu's and zathura-ps' Description.
    - Bump Standards-Version to 3.9.4.
  * debian/copyright:
    - Update my mail address.
    - Update copyright years.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 24 Jan 2013 13:47:00 +0100

zathura-extras (0.2-1) experimental; urgency=low

  [ Sebastian Ramacher ]
  * New upstream release.
    - zathura-djvu 0.2.1.
    - zathura-ps 0.2.0.
  * d/rules: Set version of the binary packages according to the plugin's
    upstream version.
  * d/README.Debian: removed.
  * d/control:
    - Update zathura-djvu's description as it now also supports displaying the
      document index.
    - Add libpng15-dev (>= 1.5) to Build-Conflicts since it provides
      libpng12-dev but doesn't ship and breaks `pkg-config --cflags
      zathura`. As soon as #652001 is fixed or gdk-pixbuf-2.0.ps uses
      libpng15 (#642265) this change will be reverted.
  * d/patches: Removed, not needed anymore.

  [ Jakub Wilk ]
  * Add DM-Upload-Allowed.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Mon, 10 Sep 2012 23:42:40 +0200

zathura-extras (0.1-1) unstable; urgency=low

  * Initial release. (Closes: #663648)

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Thu, 29 Mar 2012 22:41:12 +0200

## zathura-djvu 0.2.5

=== Makefile ===
# See LICENSE file for license and copyright information

include config.mk
include common.mk

PROJECT  = zathura-djvu
PLUGIN   = djvu
SOURCE   = $(shell find . -iname "*.c")
HEADER   = $(shell find . -iname "*.h")
OBJECTS  = ${SOURCE:.c=.o}
DOBJECTS = ${SOURCE:.c=.do}

ifneq "$(WITH_CAIRO)" "0"
CPPFLAGS += -DHAVE_CAIRO
INCS += $(CAIRO_INC)
LIBS += $(CAIRO_LIB)
endif

CPPFLAGS += "-DVERSION_MAJOR=${VERSION_MAJOR}"
CPPFLAGS += "-DVERSION_MINOR=${VERSION_MINOR}"
CPPFLAGS += "-DVERSION_REV=${VERSION_REV}"

all: options ${PLUGIN}.so

zathura-version-check:
ifneq ($(ZATHURA_VERSION_CHECK), 0)
	$(error "The minimum required version of zathura is ${ZATHURA_MIN_VERSION}")
endif
	$(QUIET)touch zathura-version-check

options:
	$(ECHO) ${PLUGIN} build options:
	$(ECHO) "CFLAGS  = ${CFLAGS}"
	$(ECHO) "LDFLAGS = ${LDFLAGS}"
	$(ECHO) "DFLAGS  = ${DFLAGS}"
	$(ECHO) "CC      = ${CC}"

%.o: %.c
	$(ECHO) CC $<
	@mkdir -p .depend
	$(QUIET)${CC} -c ${CPPFLAGS} ${CFLAGS} -o $@ $< -MMD -MF .depend/$@.dep

%.do: %.c
	$(ECHO) CC $<
	@mkdir -p .depend
	$(QUIET)${CC} -c ${CPPFLAGS} ${CFLAGS} ${DFLAGS} -o $@ $< -MMD -MF .depend/$@.dep

${OBJECTS}:  config.mk zathura-version-check
${DOBJECTS}: config.mk zathura-version-check

${PLUGIN}.so: ${OBJECTS}
	$(ECHO) LD $@
	$(QUIET)${CC} -shared ${LDFLAGS} -o $@ $(OBJECTS) ${LIBS}

${PLUGIN}-debug.so: ${DOBJECTS}
	$(ECHO) LD $@
	$(QUIET)${CC} -shared ${LDFLAGS} -o $@ $(DOBJECTS) ${LIBS}

clean:
	$(QUIET)rm -rf ${OBJECTS} ${DOBJECTS} $(PLUGIN).so $(PLUGIN)-debug.so \
		doc .depend ${PROJECT}-${VERSION}.tar.gz zathura-version-check

debug: options ${PLUGIN}-debug.so

dist: clean
	$(QUIET)mkdir -p ${PROJECT}-${VERSION}
	$(QUIET)cp -R LICENSE Makefile config.mk common.mk Doxyfile \
		${HEADER} ${SOURCE} AUTHORS ${PROJECT}.desktop \
		${PROJECT}-${VERSION}
	$(QUIET)tar -cf ${PROJECT}-${VERSION}.tar ${PROJECT}-${VERSION}
	$(QUIET)gzip ${PROJECT}-${VERSION}.tar
	$(QUIET)rm -rf ${PROJECT}-${VERSION}

doc: clean
	$(QUIET)doxygen Doxyfile

install: all
	$(ECHO) installing ${PLUGIN} plugin
	$(QUIET)mkdir -p ${DESTDIR}${PLUGINDIR}
	$(QUIET)cp -f ${PLUGIN}.so ${DESTDIR}${PLUGINDIR}
	$(QUIET)mkdir -m 755 -p ${DESTDIR}${DESKTOPPREFIX}
	$(ECHO) installing desktop file
	$(QUIET)install -m 644 ${PROJECT}.desktop ${DESTDIR}${DESKTOPPREFIX}


uninstall:
	$(ECHO) uninstalling ${PLUGIN} plugin
	$(QUIET)rm -f ${DESTDIR}${PLUGINDIR}/${PLUGIN}.so
	$(QUIET)rmdir --ignore-fail-on-non-empty ${DESTDIR}${PLUGINDIR} 2> /dev/null
	$(ECHO) removing desktop file
	$(QUIET)rm -f ${DESTDIR}${DESKTOPPREFIX}/${PROJECT}.desktop
	$(QUIET)rmdir --ignore-fail-on-non-empty ${DESTDIR}${DESKTOPPREFIX} 2> /dev/null

-include $(wildcard .depend/*.dep)

.PHONY: all options clean debug doc dist install uninstall

=== debian/changelog ===
zathura-djvu (0.2.5-1) unstable; urgency=medium

  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 23 Dec 2015 00:07:05 +0100

=== debian/control ===
Source: zathura-djvu
Section: text
Priority: optional
Maintainer: Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper (>= 9),
 pkg-config,
 zathura-dev (>= 0.2.5-1~),
 libglib2.0-dev,
 libcairo2-dev,
 libdjvulibre-dev
Standards-Version: 3.9.6
Homepage: http://pwmt.org/projects/zathura
Vcs-Git: git://anonscm.debian.org/collab-maint/zathura-djvu.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/zathura-djvu.git

Package: zathura-djvu
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Provides:
 djvu-viewer
Enhances:
 zathura
Description: DjVu support for zathura
 zathura is a document viewer with a minimalistic and space saving interface.
 It offers a vim-like experience and has a focus on keyboard interaction.
 The key bindings, commands and most other settings can be customized.
 .
 Some of the features are:
  * bookmarking pages
  * printing the whole document or specific pages
  * following links
  * searching in the document
  * browsing the document index
  * SyncTex forward and backward synchronization
 .
 This package contains zathura's DjVu plugin.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

# build with verbose output
export VERBOSE=1

%:
	dh $@ --parallel

override_dh_gencontrol:
	/usr/share/zathura/dh_zathura
	dh_gencontrol

=== debian/watch ===
version=3
https://pwmt.org/projects/zathura-djvu/download .*/download/zathura-djvu-([0-9.]*)\.tar\.gz

## zathura-djvu 0.2.6

=== Makefile ===
--- 
+++ 
@@ -5,8 +5,8 @@
 
 PROJECT  = zathura-djvu
 PLUGIN   = djvu
-SOURCE   = $(shell find . -iname "*.c")
-HEADER   = $(shell find . -iname "*.h")
+SOURCE   = $(sort $(wildcard *.c))
+HEADER   = $(sort $(wildcard *.h))
 OBJECTS  = ${SOURCE:.c=.o}
 DOBJECTS = ${SOURCE:.c=.do}

=== debian/changelog ===
zathura-djvu (0.2.6-1) unstable; urgency=medium

   * New upstream release.
  * debian/{control,rules,control}: Bump debhelper compat to 10.
  * debian/control:
    - Bump Standards-Version.
    - Update Vcs-Git.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 11 Jan 2017 23:34:58 +0100

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  pkg-config,
  zathura-dev (>= 0.2.5-1~),
  libglib2.0-dev,
  libcairo2-dev,
  libdjvulibre-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://pwmt.org/projects/zathura
-Vcs-Git: git://anonscm.debian.org/collab-maint/zathura-djvu.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/zathura-djvu.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/zathura-djvu.git
 
 Package: zathura-djvu

## zathura-djvu 0.2.7

=== Makefile ===
--- 
+++ 
@@ -9,12 +9,6 @@
 HEADER   = $(sort $(wildcard *.h))
 OBJECTS  = ${SOURCE:.c=.o}
 DOBJECTS = ${SOURCE:.c=.do}
-
-ifneq "$(WITH_CAIRO)" "0"
-CPPFLAGS += -DHAVE_CAIRO
-INCS += $(CAIRO_INC)
-LIBS += $(CAIRO_LIB)
-endif
 
 CPPFLAGS += "-DVERSION_MAJOR=${VERSION_MAJOR}"
 CPPFLAGS += "-DVERSION_MINOR=${VERSION_MINOR}"

=== debian/changelog ===
zathura-djvu (0.2.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/: Bump debhelper compat to 11.
  * debian/control:
    - Bump Standards-Version.
    - Bump B-Ds.
    - Move to salsa.debian.org.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 25 Dec 2017 03:10:43 +0100

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: optional
 Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  pkg-config,
- zathura-dev (>= 0.2.5-1~),
+ zathura-dev (>= 0.3.8),
  libglib2.0-dev,
  libcairo2-dev,
  libdjvulibre-dev
-Standards-Version: 3.9.8
-Homepage: http://pwmt.org/projects/zathura
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/zathura-djvu.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/zathura-djvu.git
+Standards-Version: 4.1.2
+Homepage: https://pwmt.org/projects/zathura
+Vcs-Git: https://salsa.debian.org/sramacher/zathura-djvu.git
+Vcs-Browser: https://salsa.debian.org/sramacher/zathura-djvu
 
 Package: zathura-djvu
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export VERBOSE=1
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_gencontrol:
 	/usr/share/zathura/dh_zathura

=== debian/watch ===
version=4
https://pwmt.org/projects/zathura-djvu/download .*/download/zathura-djvu-([0-9.]*)\.tar\.gz

## zathura-djvu 0.2.8

=== debian/changelog ===
zathura-djvu (0.2.8-1) unstable; urgency=medium

  * New upstream release.
  * debian/: Use meson build system.
  * debian/control: Bump Standards-Version.
  * debian/copyright: Update copyright years.
  * debian/rules: Use zathura sequence.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 18 Mar 2018 15:34:29 +0100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,12 @@
 Build-Depends:
  debhelper (>= 11),
  pkg-config,
- zathura-dev (>= 0.3.8),
+ meson,
+ zathura-dev (>= 0.3.9),
  libglib2.0-dev,
  libcairo2-dev,
  libdjvulibre-dev
-Standards-Version: 4.1.2
+Standards-Version: 4.1.3
 Homepage: https://pwmt.org/projects/zathura
 Vcs-Git: https://salsa.debian.org/sramacher/zathura-djvu.git
 Vcs-Browser: https://salsa.debian.org/sramacher/zathura-djvu

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with zathura

=== debian/watch ===
version=4
https://pwmt.org/projects/zathura-djvu/download .*/download/zathura-djvu-([0-9.]*)\.tar\.xz

## zathura-djvu 0.2.9

=== debian/changelog ===
zathura-djvu (0.2.9-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
    - Bump Standards-Version
    - Set RRR: no
  * debian/: Bump debhelper compat to 12

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 06 Jan 2020 20:10:10 +0100

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,19 @@
 Priority: optional
 Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
+ dh-sequence-zathura,
  pkg-config,
- meson,
+ meson (>= 0.43),
  zathura-dev (>= 0.3.9),
  libglib2.0-dev,
  libcairo2-dev,
  libdjvulibre-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.4.1
 Homepage: https://pwmt.org/projects/zathura
 Vcs-Git: https://salsa.debian.org/sramacher/zathura-djvu.git
 Vcs-Browser: https://salsa.debian.org/sramacher/zathura-djvu
+Rules-Requires-Root: no
 
 Package: zathura-djvu
 Architecture: any

=== debian/watch ===
version=4
https://pwmt.org/projects/zathura-djvu/download zathura-djvu-([0-9.]*)\.tar\.xz

## zathura-djvu 0.2.10

=== debian/changelog ===
zathura-djvu (0.2.10-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.
  * Apply multi-arch hints. + zathura-djvu: Add Multi-Arch: same.
  * Remove constraints unnecessary since buster

  [ Sebastian Ramacher ]
  * New upstream version 0.2.10
  * debian/upstream: Fix upstream repository
  * debian/control:
    - Bump debhelper compat to 13
    - Bump Standards-Version
    - Use pkgconf
    - Add appstream-util and desktop-file-utils to Build-Depends for tests
    - Bump zathura-dev BD
  * debian/watch: Update download link

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 04 Aug 2024 22:56:02 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,17 @@
 Priority: optional
 Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-sequence-zathura,
- pkg-config,
- meson (>= 0.43),
- zathura-dev (>= 0.3.9),
+ appstream-util <!nocheck>,
+ desktop-file-utils <!nocheck>,
+ libcairo2-dev,
+ libdjvulibre-dev,
  libglib2.0-dev,
- libcairo2-dev,
- libdjvulibre-dev
-Standards-Version: 4.4.1
+ meson,
+ pkgconf,
+ zathura-dev (>= 0.5.8),
+Standards-Version: 4.7.0
 Homepage: https://pwmt.org/projects/zathura
 Vcs-Git: https://salsa.debian.org/sramacher/zathura-djvu.git
 Vcs-Browser: https://salsa.debian.org/sramacher/zathura-djvu
@@ -26,6 +28,7 @@
  djvu-viewer
 Enhances:
  zathura
+Multi-Arch: same
 Description: DjVu support for zathura
  zathura is a document viewer with a minimalistic and space saving interface.
  It offers a vim-like experience and has a focus on keyboard interaction.

## zathura-djvu 0.2.11

=== debian/changelog ===
zathura-djvu (0.2.11-1) unstable; urgency=medium

  * New upstream version 0.2.11
  * debian/control:
    - Bump Standards-Version
    - Drop RRR: no
    - Replace appstream-util with appstream (Closes: #1119111)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 28 Oct 2025 18:59:25 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-zathura,
- appstream-util <!nocheck>,
+ appstream <!nocheck>,
  desktop-file-utils <!nocheck>,
  libcairo2-dev,
  libdjvulibre-dev,
@@ -13,11 +13,10 @@
  meson,
  pkgconf,
  zathura-dev (>= 0.5.8),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://pwmt.org/projects/zathura
 Vcs-Git: https://salsa.debian.org/sramacher/zathura-djvu.git
 Vcs-Browser: https://salsa.debian.org/sramacher/zathura-djvu
-Rules-Requires-Root: no
 
 Package: zathura-djvu
 Architecture: any

=== debian/watch ===
version=4
https://pwmt.org/projects/zathura-djvu/download/ .*/download/zathura-djvu-@ANY_VERSION@\.tar\.xz

## zathura-djvu 2026.02.03

=== debian/changelog ===
zathura-djvu (2026.02.03-1) unstable; urgency=medium

  * Upgrade watch file to version 5
  * debian/control:
    - Bump Standards-Version
    - Drop Priority: optional
    - Bump zathura-dev to 2026.02.03

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 07 Feb 2026 22:09:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: zathura-djvu
 Section: text
-Priority: optional
 Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -12,8 +11,8 @@
  libglib2.0-dev,
  meson,
  pkgconf,
- zathura-dev (>= 0.5.8),
-Standards-Version: 4.7.2
+ zathura-dev (>= 2026.02.03),
+Standards-Version: 4.7.3
 Homepage: https://pwmt.org/projects/zathura
 Vcs-Git: https://salsa.debian.org/sramacher/zathura-djvu.git
 Vcs-Browser: https://salsa.debian.org/sramacher/zathura-djvu

=== debian/watch ===
Version: 5

Source: https://pwmt.org/projects/zathura-djvu/download/
Matching-Pattern: zathura-djvu-(.*)\.tar\.xz
